# Payments

## Get a list of payments

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/wallet-to-wallet/payments`

#### Path Parameters

| Name                                    | Type   | Description                                                   |
| --------------------------------------- | ------ | ------------------------------------------------------------- |
| chain<mark style="color:red;">\*</mark> | string | [chain identifier](https://docs.8pay.network/overview#chains) |

#### Query Parameters

| Name     | Type   | Description                                                 |
| -------- | ------ | ----------------------------------------------------------- |
| tag      | string | filter by tag                                               |
| receiver | string | filter by receiver                                          |
| token    | string | filter by token                                             |
| from     | string | filter by `timestamp` (default 0)                           |
| to       | string | filter by `timestamp` (default current timestamp)           |
| sort     | string | `asc` or `desc` (default `desc`), sort based on `timestamp` |
| email    | string | filter by email                                             |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```http
{
    "data": [
        {
            "id": "23n9538b-1l6a-4kl6-b098-0f4gh38510k4",
            "description": "Ebook",
            "email": "**********",
            "token": "8PAY",
            "category": "Shop",
            "tag": "ebook_859294",
            "timestamp": 1574954504,
            "serviceFee": "0.25",
            "receivers": [
                {
                    "user": "0x38B70aC0BEf71A46Fc9E07f9c64913b9F533e54A",
                    "amount": "5",
                    "fee": "0.05",
                    "timestamp": 1574954504,
                    "transactionHash": "0x7797672488458a27fe022981558636e25d92302bd80a19a4e84008aaa63ace21",
                    "transactionStatus": "confirmed"
                }
            ]
        }
    ],
    "limit": 100,
    "offset": 0,
    "total": 1
}
```

{% endtab %}
{% endtabs %}

## Get a payment

<mark style="color:blue;">`GET`</mark> `https://api.8pay.network/v1/:chain/wallet-to-wallet/payments/:id`

#### Path Parameters

| Name  | Type   | Description                                                   |
| ----- | ------ | ------------------------------------------------------------- |
| id    | string | ID of the one-time                                            |
| chain | string | [chain identifier](https://docs.8pay.network/overview#chains) |

#### Headers

| Name          | Type   | Description       |
| ------------- | ------ | ----------------- |
| Authorization | string | Bearer \<api-key> |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "23n9538b-1l6a-4kl6-b098-0f4gh38510k4",
    "description": "Ebook",
    "email": "**********",
    "token": "8PAY",
    "category": "Shop",
    "tag": "ebook_859294",
    "timestamp": 1574954504,
    "serviceFee": "0.25",
    "receivers": [
        {
            "user": "0x38B70aC0BEf71A46Fc9E07f9c64913b9F533e54A",
            "amount": "5",
            "fee": "0.05",
            "timestamp": 1574954504,
            "transactionHash": "0x7797672488458a27fe022981558636e25d92302bd80a19a4e84008aaa63ace21",
            "transactionStatus": "confirmed"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
